@echo off

rem Set Installation Drive

:By Default the script will look in the
:C:\Program Files and C:\Program Files (x86) directories.
:Setting the drive letter below will allow the script to 
:additionally look in %Drive%:\Program Files and %Drive%:\Program Files (x86)
:directories. Checking the D:\ drive will have no effect if 
:the software is not install on the D:\drive. Changing the drive letter below 
:will cause the default directory on the C:\ drive to be checked, followed by the 
:drive specified 

set drive=D:\


rem Firewall Message and Prompt

echo Avaya IPOffice Firewall Exceptions.
echo -----------------------------------
echo.
echo This batch file will add the appropriate exceptions into the
echo Windows Firewall. If the appropriate application is not
echo installed, the exception will not be added.
echo.
echo.
echo  ---------------------------------------
echo    Please Select your operating system
echo  ---------------------------------------
echo.
echo  1. Windows Vista / Windows 7 / Windows 2008 Server
echo  2. Windows XP SP2+ / Windows 2003 SP2+
echo.
echo. 
CHOICE /C 12

if errorlevel 2 goto Windows_XP_2003
if errorlevel 1 goto Windows_Vista_7_2008


:Windows_XP_2003

@echo off
cls
echo.
echo  Firewall Exceptions for Windows XP and Windows 2003 Server
echo.
echo This batch file can/must be run any number of times to add 
echo newly installed applications from the Avaya IPOffice product 
echo portfolio.
echo.
echo This batch file is supplied on an 'as is' basis.
echo Any additional entries or feedback is greatly appreciated.
echo S.Poultney
echo.
echo ****  PLEASE NOTE: 
echo ****  THE AVAYA APPLICATIONS MUST BE INSTALLED BEFORE
echo ****  RUNNING THIS BATCH FILE!
echo ****  IF YOU HAVE NOT INSTALLED THE AVAYA APPLICATIONS
echo ****  TO THE DEFAULT PROGRAM FOLDER, YOU WILL HAVE TO 
echo ****  MANUALLY ADD THE PROGRAM EXCEPTIONS.
echo.
pause
cls

echo Installing Avaya Application Exclusions into Firewall.
echo Please Wait.....

rem IPOffice Manager
set avfwpg=\Avaya\IP Office\Manager\manager.exe
set avfwpn="Avaya IPOffice - Manager"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 50802.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=50802 name="Avaya Port 50802 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 50804.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=50804 name="Avaya Port 50804 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 50812.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=50812 name="Avaya Port 50812 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50798.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=50798 name="Avaya Port 50798 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem B5800 Manager
set avfwpg=\Avaya\B5800\Manager\manager.exe
set avfwpn="Avaya B5800 - Manager"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 50802.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=50802 name="Avaya Port 50802 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 50804.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=50804 name="Avaya Port 50804 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 50812.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=50812 name="Avaya Port 50812 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50798.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=50798 name="Avaya Port 50798 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem IPOffice Upgrade Wizard
set avfwpg=\Avaya\IP Office\Manager\upgradewiz.exe
set avfwpn="Avaya IPOffice - Upgrade Wizard"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50798.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=50798 name="Avaya Port 50798 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Call Status
set avfwpg=\Avaya\IP Office\CallStatus\callstatus.exe
set avfwpn="Avaya IPOffice - Call Status"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50798.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=50798 name="Avaya Port 50798 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Contact Store
set avfwpg=\Witness\tomcat5024\bin\tomcat5.exe
set avfwpn="Avaya IPOffice - Contact Store"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8888.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=8888 name="Avaya Port 8888 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50791.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=50791 name="Avaya Port 50791 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50795.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=50795 name="Avaya Port 50795 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.
if NOT EXIST "%programs%%avfwpg%" Echo "If you have installed Contact Store on another Drive that is not the default"
if NOT EXIST "%programs%%avfwpg%" echo "you may have to manually enter the exceptions."
if NOT EXIST "%programs%%avfwpg%" Echo "Please hit enter to continue"


rem TAPI2
set avfwpg=\Avaya\IP Office\TAPI\tspi2w.tsp
set avfwpn="Avaya IPOffice - TAPI2 Service Provider"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50797.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=50797 name="Avaya Port 50797 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Feature Key Server
set avfwpg=\Avaya\IP Office\KeyServe\keyserve.exe
set avfwpn="Avaya IPOffice - Feature Key Server"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50800.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=50800 name="Avaya Port 50800 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem IP Office System Monitor
set avfwpg=\Avaya\IP Office\Monitor\sysmonitor.exe
set avfwpn="Avaya IPOffice - Monitor"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50794.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=50794 name="Avaya Port 50794 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem B5800 System Monitor
set avfwpg=\Avaya\B5800\Monitor\sysmonitor.exe
set avfwpn="Avaya B5800 - Monitor"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50794.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=50794 name="Avaya Port 50794 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.


rem WIZARD
set avfwpg=\Avaya\IP Office\Wizard\bin\Release\Wizard.exe
set avfwpn="Avaya IPOffice - WIZARD"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50798.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=50798 name="Avaya Port 50798 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Voicemail Pro Service
set avfwpg=\Avaya\IP Office\Voicemail Pro\VM\vmprov5svc.exe
set avfwpn="Avaya IPOffice - Voicemail Pro Service"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50791.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=50791 name="Avaya Port 50791 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50795.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=50795 name="Avaya Port 50795 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for ALL Port 50801 ALL.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=ALL port=50801 name="Avaya Port 50801 ALL" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for ALL Port 8089.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=ALL port=8089 name="Avaya Port 8089 ALL" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Voicemail Lite
set avfwpg=\Avaya\IP Office\Voicemail Server\VMLite.exe
set avfwpn="Avaya IPOffice - Voicemail Lite"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50791.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=50791 name="Avaya Port 50791 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Voicemail Pro Server
set avfwpg=\Avaya\IP Office\Voicemail Pro\VM\vmprov5.exe
set avfwpn="Avaya IPOffice - Voicemail Pro Server"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50791.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=50791 name="Avaya Port 50791 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50795.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=50795 name="Avaya Port 50795 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for ALL Port 50801 ALL.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=ALL port=50801 name="Avaya Port 50801 ALL" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for ALL Port 8089.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=ALL port=8089 name="Avaya Port 8089 ALL" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem VPIM Client
set avfwpg=\Avaya\IP Office\Voicemail Pro\VPIMClient.exe
set avfwpn="Avaya IPOffice - VPIM Client"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem VMPro VPIM DBSVR
set avfwpg=\AVAYA\IP Office\Voicemail Pro\VPIM\vpimdbsvr.exe
set avfwpn="Avaya IPOffice - VMPro VPIM DBSVR"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem VMPro VPIM Receiver
set avfwpg=\AVAYA\IP Office\Voicemail Pro\VPIM\VPIMReceiver.exe
set avfwpn="Avaya IPOffice - VMPro VPIM Receiver"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem VMPro VPIM Server
set avfwpg=\AVAYA\IP Office\Voicemail Pro\VPIM\VPIMServer3.exe
set avfwpn="Avaya IPOffice - VMPro VPIM Server"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem IMS Admin
set avfwpg=\Avaya\IP Office\Voicemail Pro\IMS\IMSAdmin.exe
set avfwpn="Avaya IPOffice - IMS Admin"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem IMS Service Restart
set avfwpg=\Avaya\IP Office\Voicemail Pro\IMS\IMSServiceRestart.exe
set avfwpn="Avaya IPOffice - IMS Service Restart"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem IMS Gateway Service
set avfwpg=\Avaya\IP Office\Voicemail Pro\IMS\UMServer.exe
set avfwpn="Avaya IPOffice - IMS Gateway Service"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 445.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=445 name="Avaya Port 445 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 593.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=593 name="Avaya Port 593 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 445.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=445 name="Avaya Port 445 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 593.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=593 name="Avaya Port 593 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem IMS Voice Service
set avfwpg=\Avaya\IP Office\Voicemail Pro\IMS\VMServer.exe
set avfwpn="Avaya IPOffice - IMS Voice Service"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem IMS Security
set avfwpg=\Avaya\IP Office\Voicemail Pro\VM\IMSSec.exe
set avfwpn="Avaya IPOffice - IMS Security"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem VMPro Database
set avfwpg=\Avaya\IP Office\Voicemail Pro\VM\VMPDBSvc.exe
set avfwpn="Avaya IPOffice - VMPro Database"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Phone Manager
set avfwpg=\Avaya\IP Office\Phone Manager\PhoneManager.exe
set avfwpn="Avaya IPOffice - Phone Manager"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50796.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=50796 name="Avaya Port 50796 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50799.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=50799 name="Avaya Port 50799 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Phone Manager VOIP Server
set avfwpg=\Avaya\IP Office\Phone Manager\iClaritySvr.exe
set avfwpn="Avaya IPOffice - Phone Manager VOIP Server"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 1719.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=1719 name="Avaya Port 1719 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 1720.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=1720 name="Avaya Port 1720 TCP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem IP Office Video Softphone
set avfwpg=\Avaya\Softphone\IPOfficeSoftphone.exe
set avfwpn="Avaya IPOffice - Video Softphone"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 1719.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=1719 name="Avaya Port 1719 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 1720.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=1720 name="Avaya Port 1720 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 80.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=80 name="Avaya Port 80 TCP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem IP Office one-X Call Assistant
set avfwpg=\Avaya\IP Office\OneXCallAssistant\AvayaCallAssistant.exe
set avfwpn="Avaya IPOffice - one-X Call Assistant"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8080-8089.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=8080-8089 name="Avaya Port 8080-8089 TCP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.
if EXIST "%programs%%avfwpg%" Echo.
if EXIST "%programs%%avfwpg%" Echo "If you are using ports other than the default 8080-8089 you will need to manually add the ports used to your firewall exceptions"
if EXIST "%programs%%avfwpg%" Echo "Please Refer to the Intallation Guide for list of firewall exceptions"
if EXIST "%programs%%avfwpg%" Echo "Please hit enter to continue"
pause

rem IP Office SalesForce Plugin
set avfwpg=\Avaya\IP Office\Avaya IP Office Plug-in for Salesforce.com\SalesforceCTI.exe
set avfwpn="Avaya IPOffice - SalesForce Plugin"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8080-8089.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=8080-8089 name="Avaya Port 8080-8089 TCP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.
if EXIST "%programs%%avfwpg%" Echo.
if EXIST "%programs%%avfwpg%" Echo "If you are using ports other than the default 8080-8089 you will need to manually add the ports used to your firewall exceptions"
if EXIST "%programs%%avfwpg%" Echo "Please Refer to the Intallation Guide for list of firewall exceptions"
if EXIST "%programs%%avfwpg%" Echo "Please hit enter to continue"
pause

rem MMM Client
set avfwpg=\Avaya\Interaction Manager\iContact\icontact.exe
set avfwpn="Avaya IPOffice - MMM Client"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem IMS Client for Outlook
set avfwpg=\Avaya\IMS Client\UMSForm.exe
set avfwpn="Avaya IPOffice - IMS Client for Outlook"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 445.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=445 name="Avaya Port 445 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 593.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=593 name="Avaya Port 593 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 445.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=445 name="Avaya Port 445 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 593.
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Microsoft Office 2003
set avfwpg=\Microsoft Office\OFFICE11\OUTLOOK.exe
set avfwpn="Microsoft Office 2003"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Microsoft Office 2002
set avfwpg=\Microsoft Office\OFFICE10\OUTLOOK.exe
set avfwpn="Microsoft Office 2002"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Microsoft Office 2000
set avfwpg=\Microsoft Office\OFFICE\OUTLOOK.exe
set avfwpn="Microsoft Office 2000"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem SoftConsole
set avfwpg=\Avaya\IP Office\SoftConsole\SoftConsole.exe
set avfwpn="Avaya IPOffice - SoftConsole"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50799.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=50799 name="Avaya Port 50799 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50796.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=50796 name="Avaya Port 50796 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Conference Center
set avfwpg=\AVAYA\IP Office\ECSConference\ConferenceService.exe
set avfwpn="Avaya IPOffice - Conference Center"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for ALL Port 50801 ALL.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=ALL port=50801 name="Avaya Port 50801 ALL" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for ALL Port 8089.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=ALL port=8089 name="Avaya Port 8089 ALL" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50791.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=50791 name="Avaya Port 50791 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50795.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=50795 name="Avaya Port 50795 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Delta Server V4
set avfwpg=\Avaya\IP Office\CCC\DeltaServer\DeltaServer.exe
set avfwpn="Avaya IPOffice - Delta Server V4"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50800.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=50800 name="Avaya Port 50800 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Archiver
set avfwpg=\Avaya\IP Office\CCC\Archiver\ArchiverSQL.exe
set avfwpn="Avaya IPOffice - Archiver"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8081.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP  port=8081 name="Avaya Port 8081 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8082.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP  port=8082 name="Avaya Port 8082 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8083.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP  port=8083 name="Avaya Port 8083 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8084.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP  port=8084 name="Avaya Port 8084 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8085.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP  port=8085 name="Avaya Port 8085 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8086.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP  port=8086 name="Avaya Port 8086 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8087.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP  port=8087 name="Avaya Port 8087 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8088.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP  port=8088 name="Avaya Port 8088 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8089.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP  port=8089 name="Avaya Port 8089 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8081.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=8081 name="Avaya Port 8081 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8082.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=8082 name="Avaya Port 8082 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8083.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=8083 name="Avaya Port 8083 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8084.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=8084 name="Avaya Port 8084 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8085.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=8085 name="Avaya Port 8085 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8086.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=8086 name="Avaya Port 8086 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8087.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=8087 name="Avaya Port 8087 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8088.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=8088 name="Avaya Port 8088 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8089.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=8089 name="Avaya Port 8089 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem CCV
set avfwpg=\Avaya\IP Office\CCC\CallCentreView\CallCentreView.exe
set avfwpn="Avaya IPOffice - CCV"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem CBC
set avfwpg=\Avaya\IP Office\CCC\CBC\CBC.exe
set avfwpn="Avaya IPOffice - CBC"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem CCC Alarm Reporter
set avfwpg=\Avaya\IP Office\CCC\CCVAlarmReporter\CCVAlarmReporter.exe
set avfwpn="Avaya IPOffice - CCC Alarm Reporter"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Wallboard DBMGR
set avfwpg=\Avaya\IP Office\CCC\DBMgr\DBMgr.exe
set avfwpn="Avaya IPOffice - Wallboard DBMGR"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Delta Server PWA
set avfwpg=\Avaya\IP Office\CCC\DeltaServer\DeltaServerHTTPPasswordAssistant.exe
set avfwpn="Avaya IPOffice - Delta Server PWA"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem SMDR CR
set avfwpg=\Avaya\IP Office\CCC\DeltaServer\SMDRClientResponse.exe
set avfwpn="Avaya IPOffice - SMDR CR"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem SMDR SR
set avfwpg=\Avaya\IP Office\CCC\DeltaServer\SMDRServerResponse.exe
set avfwpn="Avaya IPOffice - SMDR SR"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem PC Wallboard
set avfwpg=\Avaya\IP Office\CCC\PCWallboard\PCWallboard.exe
set avfwpn="Avaya IPOffice - PC Wallboard"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 2127.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=2127 name="Avaya Port 2127 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 2127.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=2127 name="Avaya Port 2127 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem CCC Reporter Admin
set avfwpg=\Avaya\IP Office\CCC\Reporting\Admin.exe
set avfwpn="Avaya IPOffice - CCC Reporter Admin"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50800.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=50800 name="Avaya Port 50800 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8081.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP  port=8081 name="Avaya Port 8081 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8082.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP  port=8082 name="Avaya Port 8082 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8083.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP  port=8083 name="Avaya Port 8083 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8084.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP  port=8084 name="Avaya Port 8084 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8085.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP  port=8085 name="Avaya Port 8085 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8086.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP  port=8086 name="Avaya Port 8086 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8087.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP  port=8087 name="Avaya Port 8087 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8088.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP  port=8088 name="Avaya Port 8088 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8089.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP  port=8089 name="Avaya Port 8089 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8081.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=8081 name="Avaya Port 8081 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8082.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=8082 name="Avaya Port 8082 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8083.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=8083 name="Avaya Port 8083 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8084.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=8084 name="Avaya Port 8084 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8085.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=8085 name="Avaya Port 8085 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8086.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=8086 name="Avaya Port 8086 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8087.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=8087 name="Avaya Port 8087 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8088.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=8088 name="Avaya Port 8088 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8089.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=8089 name="Avaya Port 8089 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem CCC Reporter
set avfwpg=\Avaya\IP Office\CCC\Reporting\bin\CCCReporter.exe
set avfwpn="Avaya IPOffice - CCC Reporter"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem CCC User Access
set avfwpg=\Avaya\IP Office\CCC\User Access\CCCUserAccess.exe
set avfwpn="Avaya IPOffice - CCC User Access"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Wallboard Server
set avfwpg=\Avaya\IP Office\CCC\WBServer\WbServer32.exe
set avfwpn="Avaya IPOffice - Wallboard Server"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 2127.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=2127 name="Avaya Port 2127 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 2127.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=2127 name="Avaya Port 2127 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Delta Server Service V5
set avfwpg=\Avaya\IP Office\CCC\DeltaServer\DeltaServerService.exe
set avfwpn="Avaya IPOffice - Delta Server Service V5"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8080.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=8080 name="Avaya Port 8080 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50800.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP  port=50800 name="Avaya Port 50800 UDP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Delta Server Service Management Assistant V5
set avfwpg=\Avaya\IP Office\CCC\DeltaServer\DeltaServerManagementAssistant.exe
set avfwpn="Avaya IPOffice - Delta Server Service Management Assistant V5"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh firewall add allowedprogram program="%programs%%avfwpg%" name=%avfwpn% mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Customer Call Reporter

set avfwpg=\Avaya\IPOCCR\CCRRealtimeAlarmKeepAlive\SBCCRealtimeAlarmKeepAlive.exe
set avfwpn="Avaya IPOffice - Customer Call Reporter"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 80.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=80 name="Avaya CCR Port 80 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for IPOCCR SQL Access UDP Port 1433
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=1443 name="Avaya SQL Port 1443 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for IPOCCCR SQL Access TCP Port 1434.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=UDP port=1434 name="Avaya SQL Port 1434 UDP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for IPOCCCR Wallboard Access TCP Port 8135.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=8135 name="Avaya Wallboard Port 8135 TCP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem one-X Portal for IP Office
set avfwpg=\Avaya\oneXportal\One-x_Portal_for_IP_Office.cer
set avfwpn="Avaya IPOffice - one-X Portal"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8080.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=8080 name="Avaya Port 8080 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8443.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=8443 name="Avaya Port 8443 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8666.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=8666 name="Avaya Port 8666 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 50814.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=50814 name="Avaya Port 50814 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 5222.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=5222 name="Avaya Port 5222 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 5269.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=5269 name="Avaya Port 5269 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8086.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=8086 name="Avaya Port 8086 TCP" mode=ENABLE scope=ALL profile=ALL
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8444.
if EXIST "%programs%%avfwpg%" netsh firewall add portopening protocol=TCP port=8444 name="Avaya Port 8444 TCP" mode=ENABLE scope=ALL profile=ALL
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.
if NOT EXIST "%programs%%avfwpg%" Echo "If you have installed one-X Portal for IP Office on another Drive you may have to manually enter the exceptions."
if NOT EXIST "%programs%%avfwpg%" Echo "Please Refer to the Intallation Guide for list of firewall exceptions"
if NOT EXIST "%programs%%avfwpg%" Echo "Please hit enter to continue"
pause


rem Adding Additional Misc Ports

echo Adding firewall exception for Misc ports
echo.
echo Adding firewall exception for UDP Port 67.
netsh firewall add portopening protocol=UDP port=67 name="Avaya Port 67 UDP" mode=ENABLE scope=ALL profile=ALL
echo Adding firewall exception for UDP Port 69.
netsh firewall add portopening protocol=UDP port=69 name="Avaya Port 69 UDP" mode=ENABLE scope=ALL profile=ALL
echo Adding firewall exception for TCP Port 135.
netsh firewall add portopening protocol=TCP port=135 name="Avaya Port 135 TCP" mode=ENABLE scope=ALL profile=ALL
echo Adding firewall exception for TCP Port 2000.
netsh firewall add portopening protocol=TCP port=2000 name="Avaya Port 2000 TCP" mode=ENABLE scope=ALL profile=ALL
echo Adding firewall exception for UDP Port 137.
netsh firewall add portopening protocol=UDP port=137 name="NETBIOS Name Service UDP" mode=ENABLE scope=ALL profile=ALL
echo Adding firewall exception for UDP Port 138.
netsh firewall add portopening protocol=UDP port=138 name="NETBIOS Datagram Service UDP" mode=ENABLE scope=ALL profile=ALL
echo Adding firewall exception for TCP Port 139.
netsh firewall add portopening protocol=TCP port=139 name="NETBIOS Session Service TCP" mode=ENABLE scope=ALL profile=ALL
echo Adding firewall exception for UDP Port 50793.
netsh firewall add portopening protocol=UDP port=50793 name="Avaya Port 50793 UDP" mode=ENABLE scope=ALL profile=ALL
echo Adding firewall exception for TCP Port 50808.
netsh firewall add portopening protocol=TCP port=50808 name="Avaya Port 50808 TCP" mode=ENABLE scope=ALL profile=ALL
echo Adding firewall exception IPOffice Ping.
netsh firewall add portopening protocol=UDP port=37 name="Windows Time Port 37 UDP" mode=ENABLE scope=ALL profile=ALL
echo Adding firewall exception for UDP Port 123 - Network Time
netsh firewall set icmpsetting type=3 mode=ENABLE profile=ALL

set avfwpg=
set avfwpn=
set drive=

Goto END

:Windows_Vista_7_2008

@echo off
cls
echo.
echo  Firewall Exceptions for Windows Vista, Windows 7, 
echo  and Windows Server 2008
echo.
echo ######################################################
echo. 
echo 		   IMPORTANT NOTE			  
echo  ELEVATED Permissions may be required to add exceptions. 
echo  To Run with Elevated Permissions.		  
echo  Right Mouse Click on the BATCH file  
echo  Select RUN AS Administrator			  
echo.							 
echo ######################################################
echo.
echo This batch file is supplied on an 'as is' basis.
echo Any additional entries or feedback is greatly appreciated.
echo.
echo ****  PLEASE NOTE: 
echo ****  THE AVAYA APPLICATIONS MUST BE INSTALLED BEFORE
echo ****  RUNNING THIS BATCH FILE!
echo ****  IF YOU HAVE NOT INSTALLED THE AVAYA APPLICATIONS
echo ****  TO THE DEFAULT PROGRAM FOLDER, YOU WILL HAVE TO 
echo ****  MANUALLY ADD THE PROGRAM EXCEPTIONS.
echo.
pause
cls
echo Installing Avaya Application Exclusions into Firewall.
echo Please Wait.....

rem IPOffice Manager
set avfwpg=\Avaya\IP Office\Manager\Manager.exe
set avfwpn="Avaya IPOffice - Manager"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 50802.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50802 TCP" dir=in action=allow protocol=TCP localport=50802 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 50804.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50804 TCP" dir=in action=allow protocol=TCP localport=50804 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 50812.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50812 TCP" dir=in action=allow protocol=TCP localport=50812 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50798.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50798 UDP" dir=in action=allow protocol=UDP localport=50798  
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem B5800 Manager
set avfwpg=\Avaya\B5800\Manager\Manager.exe
set avfwpn="Avaya B5800 - Manager"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 50802.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50802 TCP" dir=in action=allow protocol=TCP localport=50802 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 50804.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50804 TCP" dir=in action=allow protocol=TCP localport=50804 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 50812.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50812 TCP" dir=in action=allow protocol=TCP localport=50812 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50798.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50798 UDP" dir=in action=allow protocol=UDP localport=50798  
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem IPOffice Upgrade Wizard
set avfwpg=\Avaya\IP Office\Manager\upgradewiz.exe
set avfwpn="Avaya IPOffice - Upgrade Wizard"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50798.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50798 UDP" dir=in action=allow protocol=UDP localport=50798  
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Call Status
set avfwpg=\Avaya\IP Office\CallStatus\callstatus.exe
set avfwpn="Avaya IPOffice - Call Status"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50798.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50798 UDP" dir=in action=allow protocol=UDP localport=50798 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Contact Store
set avfwpg=\Witness\tomcat5024\bin\tomcat5.exe
set avfwpn="Avaya IPOffice - Contact Store"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%..
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8888.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8888 TCP" dir=in action=allow protocol=TCP localport=8888 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50791.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50791 UDP" dir=in action=allow protocol=UDP localport=50791  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50795.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall dir=in action=allow protocol=UDP localport=50795 add rule name="Avaya Port 50795 UDP" 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.
if NOT EXIST "%programs%%avfwpg%" Echo "If you have installed Contact Store on another Drive that is not the default C:\Program Files you may have to manually enter the exceptions."
if NOT EXIST "%programs%%avfwpg%" Echo "Please hit enter to continue"
pause

rem TAPI2
set avfwpg=\Avaya\IP Office\TAPI\tspi2w.tsp
set avfwpn="Avaya IPOffice - TAPI2 Service Provider"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50797.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50797 UDP" dir=in action=allow protocol=UDP localport=50797  
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Feature Key Server
set avfwpg=\Avaya\IP Office\KeyServe\keyserve.exe
set avfwpn="Avaya IPOffice - Feature Key Server"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50800.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50800 UDP" dir=in action=allow protocol=UDP localport=50800  
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem IP Office System Monitor
set avfwpg=\Avaya\IP Office\Monitor\sysmonitor.exe
set avfwpn="Avaya IPOffice - Monitor"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50794.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50794 UDP" dir=in action=allow protocol=UDP localport=50794
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem B5800 System Monitor
set avfwpg=\Avaya\B5800\Monitor\sysmonitor.exe
set avfwpn="Avaya B5800 - Monitor"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50794.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50794 UDP" dir=in action=allow protocol=UDP localport=50794
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem WIZARD
set avfwpg=\Avaya\IP Office\Wizard\bin\Release\Wizard.exe
set avfwpn="Avaya IPOffice - WIZARD"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50798.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50798 UDP" dir=in action=allow protocol=UDP localport=50798  
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Voicemail Pro Service
set avfwpg=\Avaya\IP Office\Voicemail Pro\VM\vmprov5svc.exe
set avfwpn="Avaya IPOffice - Voicemail Pro Service"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50791.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50791 UDP" dir=in action=allow protocol=UDP localport=50791  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50795.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50795 UDP" dir=in action=allow protocol=UDP localport=50795  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for ALL Port 50801 UDP.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50801 UDP" dir=in action=allow protocol=UDP localport=50801  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for ALL Port 8089 UDP.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8089 UDP" dir=in action=allow protocol=UDP localport=8089 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for ALL Port 50801 TCP.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50801 TCP" dir=in action=allow protocol=TCP localport=50801  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for ALL Port 8089 TCP.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8089 TCP" dir=in action=allow protocol=TCP localport=8089 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Voicemail Lite
set avfwpg=\Avaya\IP Office\Voicemail Server\VMLite.exe
set avfwpn="Avaya IPOffice - Voicemail Lite"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50791.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50791 UDP" dir=in action=allow protocol=UDP localport=50791  
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Voicemail Pro Server
set avfwpg=\Avaya\IP Office\Voicemail Pro\VM\vmprov5.exe
set avfwpn="Avaya IPOffice - Voicemail Pro Server"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50791.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50791 UDP" dir=in action=allow protocol=UDP localport=50791  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50795.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50795 UDP" dir=in action=allow protocol=UDP localport=50795  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for ALL Port 50801 UDP.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50801 UDP" dir=in action=allow protocol=UDP localport=50801  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for ALL Port 8089 UDP.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8089 UDP" dir=in action=allow protocol=UDP localport=8089 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for ALL Port 50801 TCP.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50801 TCP" dir=in action=allow protocol=TCP localport=50801  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for ALL Port 8089 TCP.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8089 TCP" dir=in action=allow protocol=TCP localport=8089 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem VPIM Client
set avfwpg=\Avaya\IP Office\Voicemail Pro\VPIMClient.exe
set avfwpn="Avaya IPOffice - VPIM Client"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem VMPro VPIM DBSVR
set avfwpg=\Avaya\IP Office\Voicemail Pro\VPIM\vpimdbsvr.exe
set avfwpn="Avaya IPOffice - VMPro VPIM DBSVR"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem VMPro VPIM Receiver
set avfwpg=\Avaya\IP Office\Voicemail Pro\VPIM\VPIMReceiver.exe
set avfwpn="Avaya IPOffice - VMPro VPIM Receiver"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem VMPro VPIM Server
set avfwpg=\Avaya\IP Office\Voicemail Pro\VPIM\VPIMServer3.exe
set avfwpn="Avaya IPOffice - VMPro VPIM Server"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem IMS Admin
set avfwpg=\Avaya\IP Office\Voicemail Pro\IMS\IMSAdmin.exe
set avfwpn="Avaya IPOffice - IMS Admin"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem IMS Service Restart
set avfwpg=\Avaya\IP Office\Voicemail Pro\IMS\IMSServiceRestart.exe
set avfwpn="Avaya IPOffice - IMS Service Restart"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem IMS Gateway Service
set avfwpg=\Avaya\IP Office\Voicemail Pro\IMS\UMServer.exe
set avfwpn="Avaya IPOffice - IMS Gateway Service"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 445.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 445 TCP" dir=in action=allow protocol=TCP localport=445  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 593.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 593 TCP" dir=in action=allow protocol=TCP localport=593  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 445.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 445 UDP" dir=in action=allow protocol=UDP localport=445  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 593.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 593 UDP" dir=in action=allow protocol=UDP localport=593  
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem IMS Voice Service
set avfwpg=\Avaya\IP Office\Voicemail Pro\IMS\VMServer.exe
set avfwpn="Avaya IPOffice - IMS Voice Service"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem IMS Security
set avfwpg=\Avaya\IP Office\Voicemail Pro\VM\IMSSec.exe
set avfwpn="Avaya IPOffice - IMS Security"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem VMPro Database
set avfwpg=\Avaya\IP Office\Voicemail Pro\VM\VMPDBSvc.exe
set avfwpn="Avaya IPOffice - VMPro Database"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Phone Manager
set avfwpg=\Avaya\IP Office\Phone Manager\PhoneManager.exe
set avfwpn="Avaya IPOffice - Phone Manager"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50796.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50796 UDP" dir=in action=allow protocol=UDP localport=50796  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50799.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50799 UDP" dir=in action=allow protocol=UDP localport=50799  
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem IP Office Video Softphone
set avfwpg=\Avaya\Softphone\IPOfficeSoftphone.exe
set avfwpn="Avaya IPOffice - Video Softphone"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 1719.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 1719 TCP" dir=in action=allow protocol=TCP localport=1719  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 1720.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 1720 TCP" dir=in action=allow protocol=TCP localport=1720
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 80.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 80 TCP" dir=in action=allow protocol=TCP localport=80  
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem IP Office One-X Portal Call Assistant
set avfwpg=\Avaya\IP Office\OneXCallAssistant\AvayaCallAssistant.exe
set avfwpn="Avaya IPOffice - Call Assistant"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8080-8089.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8080-8089 TCP" dir=in action=allow protocol=TCP localport=8080-8089  
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.
if EXIST "%programs%%avfwpg%" Echo.
if EXIST "%programs%%avfwpg%" Echo "If you are using ports other than the default 8080-8089 you will need to manually add the ports used to your firewall exceptions"
if EXIST "%programs%%avfwpg%" Echo "Please Refer to the Intallation Guide for list of firewall exceptions"
if EXIST "%programs%%avfwpg%" Echo "Please hit enter to continue"
Pause

rem IP Office SalesForce Plugin
set avfwpg=\Avaya\IP Office\Avaya IP Office Plug-in for Salesforce.com\SalesForceCTI.exe
set avfwpn="Avaya IPOffice - Salesforce Plugin"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8080-8089.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8080-8089 TCP" dir=in action=allow protocol=TCP localport=8080-8089  
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.
if EXIST "%programs%%avfwpg%" Echo.
if EXIST "%programs%%avfwpg%" Echo "If you are using ports other than the default 8080-8089 you will need to manually add the ports used to your firewall exceptions"
if EXIST "%programs%%avfwpg%" Echo "Please Refer to the Intallation Guide for list of firewall exceptions"
if EXIST "%programs%%avfwpg%" Echo "Please hit enter to continue"
Pause

rem MMM Client
set avfwpg=\Avaya\Interaction Manager\iContact\icontact.exe
set avfwpn="Avaya IPOffice - MMM Client"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%..
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.


rem SoftConsole
set avfwpg=\Avaya\IP Office\SoftConsole\SoftConsole.exe
set avfwpn="Avaya IPOffice - SoftConsole"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50799.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50799 UDP" dir=in action=allow protocol=UDP localport=50799  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50796.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50796 UDP" dir=in action=allow protocol=UDP localport=50796  
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Conference Center
set avfwpg=\Avaya\IP Office\ECSConference\ConferenceService.exe
set avfwpn="Avaya IPOffice - Conference Center"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for ALL Port 50801 ALL.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50801 ALL"dir=in action=allow protocol=ALL localport=50801  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for ALL Port 8089.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall name="Avaya Port 8089 ALL"dir=in action=allow protocol=ALL localport=8089 add rule  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50791.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50791 UDP" dir=in action=allow protocol=UDP localport=50791  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50795.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50795 UDP" dir=in action=allow protocol=UDP localport=50795  
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Delta Server V4
set avfwpg=\Avaya\IP Office\CCC\DeltaServer\DeltaServer.exe
set avfwpn="Avaya IPOffice - Delta Server V4"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50800.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50800 UDP" dir=in action=allow protocol=UDP localport=50800  
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Archiver
set avfwpg=\Avaya\IP Office\CCC\Archiver\ArchiverSQL.exe
set avfwpn="Avaya IPOffice - Archiver"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8081.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8081 TCP" dir=in action=allow protocol=TCP localport=8081  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8082.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8082 TCP" dir=in action=allow protocol=TCP localport=8082  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8083.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8083 TCP" dir=in action=allow protocol=TCP localport=8083  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8084.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8084 TCP" dir=in action=allow protocol=TCP localport=8084  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8085.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8085 TCP" dir=in action=allow protocol=TCP localport=8085  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8086.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8086 TCP" dir=in action=allow protocol=TCP localport=8086  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8087.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8087 TCP" dir=in action=allow protocol=TCP localport=8087  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8088.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8088 TCP" dir=in action=allow protocol=TCP localport=8088  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8089.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8089 TCP" dir=in action=allow protocol=TCP localport=8089  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8081.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8081 UDP" dir=in action=allow protocol=UDP localport=8081  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8082.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8082 UDP" dir=in action=allow protocol=UDP localport=8082  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8083.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8083 UDP" dir=in action=allow protocol=UDP localport=8083  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8084.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8084 UDP" dir=in action=allow protocol=UDP localport=8084  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8085.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8085 UDP" dir=in action=allow protocol=UDP localport=8085  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8086.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8086 UDP" dir=in action=allow protocol=UDP localport=8086 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8087.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8087 UDP" dir=in action=allow protocol=UDP localport=8087  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8088.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8088 UDP" dir=in action=allow protocol=UDP localport=8088  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8089.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8089 UDP" dir=in action=allow protocol=UDP localport=8089  
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem CCV
set avfwpg=\Avaya\IP Office\CCC\CallCentreView\CallCentreView.exe
set avfwpn="Avaya IPOffice - CCV"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem CBC
set avfwpg=\Avaya\IP Office\CCC\CBC\CBC.exe
set avfwpn="Avaya IPOffice - CBC"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem CCC Alarm Reporter
set avfwpg=\Avaya\IP Office\CCC\CCVAlarmReporter\CCVAlarmReporter.exe
set avfwpn="Avaya IPOffice - CCC Alarm Reporter"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Wallboard DBMGR
set avfwpg=\Avaya\IP Office\CCC\DBMgr\DBMgr.exe
set avfwpn="Avaya IPOffice - Wallboard DBMGR"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Delta Server PWA
set avfwpg=\Avaya\IP Office\CCC\DeltaServer\DeltaServerHTTPPasswordAssistant.exe
set avfwpn="Avaya IPOffice - Delta Server PWA"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem SMDR CR
set avfwpg=\Avaya\IP Office\CCC\DeltaServer\SMDRClientResponse.exe
set avfwpn="Avaya IPOffice - SMDR CR"
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem SMDR SR
set avfwpg=\Avaya\IP Office\CCC\DeltaServer\SMDRServerResponse.exe
set avfwpn="Avaya IPOffice - SMDR SR"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem PC Wallboard
set avfwpg=\Avaya\IP Office\CCC\PCWallboard\PCWallboard.exe
set avfwpn="Avaya IPOffice - PC Wallboard"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 2127.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 2127 TCP" dir=in action=allow protocol=TCP localport=2127  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 2127.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 2127 UDP" dir=in action=allow protocol=UDP localport=2127  
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem CCC Reporter Admin
set avfwpg=\Avaya\IP Office\CCC\Reporting\Admin.exe
set avfwpn="Avaya IPOffice - CCC Reporter Admin"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50800.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall dir=in action=allow protocol=UDP localport=50800 add rule name="Avaya Port 50800 UDP" 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8081.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8081 TCP" dir=in action=allow protocol=TCP localport=8081  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8082.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8082 TCP" dir=in action=allow protocol=TCP localport=8082  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8083.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8083 TCP" dir=in action=allow protocol=TCP localport=8083 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8084.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8084 TCP" dir=in action=allow protocol=TCP localport=8084 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8085.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8085 TCP" dir=in action=allow protocol=TCP localport=8085  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8086.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8086 TCP" dir=in action=allow protocol=TCP localport=8086 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8087.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8087 TCP" dir=in action=allow protocol=TCP localport=8087  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8088.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall  add rule name="Avaya Port 8088 TCP" dir=in action=allow protocol=TCP localport=8088 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8089.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8089 TCP" dir=in action=allow protocol=TCP localport=8089  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8081.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8081 UDP" dir=in action=allow protocol=UDP localport=8081  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8082.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8082 UDP" dir=in action=allow protocol=UDP localport=8082  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8083.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8083 UDP" dir=in action=allow protocol=UDP localport=8083  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8084.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8084 UDP" dir=in action=allow protocol=UDP localport=8084  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8085.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall  add rule name="Avaya Port 8085 UDP" dir=in action=allow protocol=UDP localport=8085
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8086.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8086 UDP" dir=in action=allow protocol=UDP localport=8086  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8087.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8087 UDP" dir=in action=allow protocol=UDP localport=8087  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8088.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8088 UDP" dir=in action=allow protocol=UDP localport=8088  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 8089.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall  add rule name="Avaya Port 8089 UDP" dir=in action=allow protocol=UDP localport=8089 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem CCC Reporter
set avfwpg=\Avaya\IP Office\CCC\Reporting\bin\CCCReporter.exe
set avfwpn="Avaya IPOffice - CCC Reporter"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem CCC User Access
set avfwpg=\Avaya\IP Office\CCC\User Access\CCCUserAccess.exe
set avfwpn="Avaya IPOffice - CCC User Access"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Wallboard Server
set avfwpg=\Avaya\IP Office\CCC\WBServer\WbServer32.exe
set avfwpn="Avaya IPOffice - Wallboard Server"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 2127.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 2127 TCP" dir=in action=allow protocol=TCP localport=2127  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 2127.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 2127 UDP" dir=in action=allow protocol=UDP localport=2127  
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Delta Server Service V5
set avfwpg=\Avaya\IP Office\CCC\DeltaServer\DeltaServerService.exe
set avfwpn="Avaya IPOffice - Delta Server Service V5"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8080.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8080 TCP" dir=in action=allow protocol=TCP localport=8080  
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for UDP Port 50800.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50800 UDP" dir=in action=allow protocol=UDP localport=50800  
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Delta Server Service Management Assistant V5
set avfwpg=\Avaya\IP Office\CCC\DeltaServer\DeltaServerManagementAssistant.exe
set avfwpn="Avaya IPOffice - Delta Server Service Management Assistant V5"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name=%avfwpn% dir=in action=allow program="%programs%%avfwpg%" enable=yes 
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem Customer Call Reporter Realtime Keep Alive

set avfwpg=\Avaya\IPOCCR\CCRRealtimeAlarmKeepAlive\SBCCRealtimeAlarmKeepAlive.exe
set avfwpn="Avaya IPOffice - CCR Realtime Keep Alive"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%.
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 80.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya CCR Port 80 TCP" dir=in action=allow protocol=TCP localport=80
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for IPOCCR SQL Access UDP Port 1433
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya CCR SQL Port 1433 TCP" dir=in action=allow protocol=TCP localport=1433
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for IPOCCCR SQL Access TCP Port 1434.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya CCR SQL Port 1434 UDP" dir=in action=allow protocol=UDP localport=1434
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for IPOCCCR Wallboard Access TCP Port 8135.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya CCR Wallboard Port 8135 TCP" dir=in action=allow protocol=TCP localport=8135
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.

rem One-xPortal for IP Office

set avfwpg=\Avaya\oneXportal\One-x_Portal_for_IP_Office.cer
set avfwpn="Avaya IPOffice - One-x Portal"
set programs=%ProgramFiles%
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%Programfiles% (x86)
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files
if EXIST "%programs%%avfwpg%" echo.
if NOT EXIST "%programs%%avfwpg%" set programs=%drive%Program Files (x86)
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for %avfwpn%..
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8080.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8080 TCP" dir=in action=allow protocol=TCP localport=8080
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8443.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8443 TCP" dir=in action=allow protocol=TCP localport=8443
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8666.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8666 TCP" dir=in action=allow protocol=TCP localport=8666
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 50814.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 50814 TCP" dir=in action=allow protocol=TCP localport=50814
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 5222.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 5222 TCP" dir=in action=allow protocol=TCP localport=5222
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 5269.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 5269 TCP" dir=in action=allow protocol=TCP localport=5269
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8444.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8444 TCP" dir=in action=allow protocol=TCP localport=8444
if EXIST "%programs%%avfwpg%" echo Adding firewall exception for TCP Port 8086.
if EXIST "%programs%%avfwpg%" netsh advfirewall firewall add rule name="Avaya Port 8086 TCP" dir=in action=allow protocol=TCP localport=8086
if NOT EXIST "%programs%%avfwpg%" Echo The application (%avfwpn%) is not installed.
if NOT EXIST "%programs%%avfwpg%" Echo.
if NOT EXIST "%programs%%avfwpg%" Echo "If you have installed one-X Portal for IP Office on another Drive you may have to manually enter the exceptions."
if NOT EXIST "%programs%%avfwpg%" Echo "Please hit enter to continue"
pause


rem Adding Additional Misc Ports

echo Adding firewall exception for Misc ports
echo.
echo Adding firewall exception for UDP Port 67.
netsh advfirewall firewall add rule name="Avaya Port 67 UDP" dir=in action=allow protocol=UDP localport=67 
echo Adding firewall exception for UDP Port 69.
netsh advfirewall firewall add rule name="Avaya Port 69 UDP" dir=in action=allow protocol=UDP localport=69 
echo Adding firewall exception for TCP Port 135.
netsh advfirewall firewall add rule name="Avaya Port 135 TCP" dir=in action=allow protocol=TCP localport=135  
echo Adding firewall exception for TCP Port 2000.
netsh advfirewall firewall add rule name="Avaya Port 2000 TCP" dir=in action=allow protocol=TCP localport=2000 
echo Adding firewall exception for UDP Port 137.
netsh advfirewall firewall add rule name="NETBIOS Name Service UDP" dir=in action=allow protocol=UDP localport=137
echo Adding firewall exception for UDP Port 138.
netsh advfirewall firewall add rule name="NETBIOS Datagram Service UDP" dir=in action=allow protocol=UDP localport=138 
echo Adding firewall exception for TCP Port 139.
netsh advfirewall firewall add rule name="NETBIOS Session Service TCP" dir=in action=allow protocol=TCP localport=139
echo Adding firewall exception for UDP Port 50793.
netsh advfirewall firewall add rule name="Avaya Port 50793 UDP" dir=in action=allow protocol=UDP localport=50793 
echo Adding firewall exception for TCP Port 50808.
netsh advfirewall firewall add rule name="Avaya Port 50808 TCP" dir=in action=allow protocol=TCP localport=50808 
echo Adding firewall exception for Network Time
netsh advfirewall firewall add rule name="Windows Time Port 37 UDP" dir=in action=allow protocol=UDP localport=37 
netsh advfirewall firewall add rule name="Windows Time Port 123 UDP" dir=in action=allow protocol=UDP localport=123
echo Adding firewall exception IPOffice Ping.
netsh advfirewall firewall add rule name=PING dir=in action=allow protocol=icmpv4

set avfwpg=
set avfwpn=
set drive=

goto End


# End

EXIT

